Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.feature
Class FeatureException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.deegree.model.feature.FeatureException

All Implemented Interfaces:
  Serializable

    public class FeatureException

extends Exception

Author:
  Administrator
See Also:
  Serialized Form

Constructor Summary
`FeatureException()` Creates a new instance of `FeatureException` without detail message.
`FeatureException(String msg)` Constructs an instance of `FeatureException` with the specified detail message.
`FeatureException(String msg, Exception e)` Constructs an instance of `FeatureException` with the specified detail message.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FeatureException

    public FeatureException()

  Creates a new instance of `FeatureException` without detail message.

### FeatureException

    public FeatureException(String msg)

  Constructs an instance of `FeatureException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

### FeatureException

    public FeatureException(String msg,
                            Exception e)

  Constructs an instance of `FeatureException` with the specified detail message.

  Parameters:
    `msg` - the detail message.
    `e` -

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org